# QFileIconProvider Class Reference

The QFileIconProvider class provides icons for QFileDialog to use. More...

`#include <qfiledialog.h>`

Inherits QObject.

List of all member functions.

## Public Members

- QFileIconProvider ( QObject * parent = 0, const char * name = 0 )
- virtual const QPixmap* pixmap ( const QFileInfo & )

## Detailed Description

The QFileIconProvider class provides icons for QFileDialog to use.

By default, QFileIconProvider is not used, but any application or library can subclass it, reimplement pixmap() to return a suitable icon, and make all QFileDialog objects use it by calling the static function QFileDialog::setIconProvider().

It's advisable to make all the icons QFileIconProvider returns be of the same size, or at least the same width. This makes the list view look much better.

See also: QFileDialog.

## Member Function Documentation

### QFileIconProvider::QFileIconProvider ( QObject * parent = 0, const char * name = 0 )

Constructs an empty file icon provider.

### const QPixmap * QFileIconProvider::pixmap ( const QFileInfo & ) `[virtual]`

Returns a pointer to a pixmap suitable for display when the file dialog next to the name of file.

If pixmap() returns 0, QFileDialog draws nothing.

The default implementation returns 0 in Qt 1.40. In future versions of Qt it may be extended.

Search the documentation, FAQ, qt-interest archive and more (uses www.troll.no):

This file is part of the Qt toolkit, copyright © 1995-99 Troll Tech, all rights reserved.

It was generated from the following files:

- qfiledialog.h: 1998/08/21
- qfiledialog.cpp: 1999/02/10